Bug 150038 - CAN-2005-0605 XPM buffer overflow
Summary: CAN-2005-0605 XPM buffer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: David Lawrence
URL:
Whiteboard: impact=moderate,public=20050301,sourc...
Keywords: Security
Depends On:
Blocks: CVE-2005-0605
TreeView+ depends on / blocked
 
Reported: 2005-03-01 21:16 UTC by Josh Bressers
Modified: 2008-01-28 16:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 08:28:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:044 moderate SHIPPED_LIVE Moderate: XFree86 security update 2005-04-06 04:00:00 UTC
Red Hat Product Errata RHSA-2005:331 moderate SHIPPED_LIVE Moderate: XFree86 security update 2005-03-30 05:00:00 UTC

Description Josh Bressers 2005-03-01 21:16:22 UTC
+++ This bug was initially created as a clone of Bug #150036 +++

A potential buffer overflow from the use of unsigned integers has been found in
the XPM processing library of xorg.

https://bugs.freedesktop.org/show_bug.cgi?id=1920

Comment 1 Josh Bressers 2005-03-01 21:18:07 UTC
This issue should also affect RHEL2.1

Comment 6 Mark J. Cox 2005-03-21 11:30:55 UTC
setting to moderate severity since only a subset of applications are affected by
this, and many of those do not parse untrusted xpm files.  Applications like the
gimp and others have their own xpm implementations.

Comment 7 Mark J. Cox 2005-03-30 08:28:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-331.html


Comment 8 Josh Bressers 2005-04-06 18:05:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-044.html



Note You need to log in before you can comment on or make changes to this bug.